#include "stdinc.h"
#include "cTearsPictureBook.h"
#include "cMedium.h"

cTearsPictureBook::cTearsPictureBook(){

}

cTearsPictureBook::~cTearsPictureBook(){
}


const int PictureCount = PBM_END_PAGE;

static char *FileNames[PictureCount] = {
	"Picture\\Tile\\bg.bmp",
	"Picture\\Char\\player.bmp",
	"Picture\\Char\\shot.bmp",
	"Picture\\Char\\human.bmp"
};

BOOL cTearsPictureBook::LoadAll(){
	int i;

	if(!Create(PictureCount)) return FALSE;

	for(i = 0; i < ElementCount; i ++){
		if(!Elements[i].Create(new cMedium(FileNames[i])))
			return FALSE;
	}
	return TRUE;
}

void cTearsPictureBook::DestroyAll(){
	int i;

	for(i = 0; i < ElementCount; i ++){
		Elements[i].DeleteMedium();
		Elements[i].Destroy();
	}
}
